> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/annotation/tool-manager-events.md).

# Get notified of events fired from ToolManager on iOS

Discover how the ToolManagerDelegate in ToolManager can enhance your app's functionality with delegate methods for event notifications and tool behavior modifications. Learn more about these essential

The [`ToolManager`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html)['s](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html)[`ToolManagerDelegate`](https://sdk.apryse.com/api/ios/Protocols/PTToolManagerDelegate.html) exposes a number of delegate methods to allow a subscriber to be notified of events that are managed by the tools framework. There are [a number of methods](/ios/annotation/customization.md) that allow you to modify the behaviour of the tools themselves. The methods discussed here are simple notifications, so that the app may coordinate as necessary.

1. [`-toolManagerToolChanged:`](https://sdk.apryse.com/api/ios/Protocols/PTToolManagerDelegate.html#/c:objc\(pl\)PTToolManagerDelegate\(im\)toolManagerToolChanged:) This method is called when the tool changes, for example changing the "active" tool in a toolbar.
2. [`-toolManager:annotationAdded:onPageNumber:`](https://sdk.apryse.com/api/ios/Protocols/PTToolManagerDelegate.html#/c:objc\(pl\)PTToolManagerDelegate\(im\)toolManager:annotationAdded:onPageNumber:) [`-toolManager:annotationModified:onPageNumber:`](https://sdk.apryse.com/api/ios/Protocols/PTToolManagerDelegate.html#/c:objc\(pl\)PTToolManagerDelegate\(im\)toolManager:annotationModified:onPageNumber:) [`-toolManager:annotationRemoved:onPageNumber:`](https://sdk.apryse.com/api/ios/Protocols/PTToolManagerDelegate.html#/c:objc\(pl\)PTToolManagerDelegate\(im\)toolManager:annotationRemoved:onPageNumber:) These methods are called just after an annotation is added, modified or deleted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/annotation/tool-manager-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
